Editar um modelo
curl --request POST \
--url https://cerberus.eazybe.com/prod/api/v2/meta/wabas/{wabaId}/templates/{templateIdOrName} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"components": [
{
"type": "BODY",
"text": "Hi {{1}}, your order has shipped.",
"example": {
"body_text": [
[
"Ravi"
]
]
}
}
]
}
'{
"success": true
}Modelos
Editar um modelo
Editar um modelo. Consulte os parâmetros, o exemplo e as respostas disponíveis para esta operação.
POST
/
meta
/
wabas
/
{wabaId}
/
templates
/
{templateIdOrName}
Editar um modelo
curl --request POST \
--url https://cerberus.eazybe.com/prod/api/v2/meta/wabas/{wabaId}/templates/{templateIdOrName} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"components": [
{
"type": "BODY",
"text": "Hi {{1}}, your order has shipped.",
"example": {
"body_text": [
[
"Ravi"
]
]
}
}
]
}
'{
"success": true
}Autorizações
Token bearer da Eazybe. O token identifica a organização e deve ser mantido no servidor.
Parâmetros de caminho
ID da conta do WhatsApp Business retornado por GET /meta/phone-numbers.
Use um ID para editar e um nome para excluir.
Corpo
application/json
{
"components": [
{
"type": "BODY",
"text": "Hi {{1}}, your order has shipped.",
"example": {
"body_text": [
[
"Ravi"
]
]
}
}
]
}
Show child attributes
Show child attributes
Resposta
200 - application/json
Edit submitted (template returns to review)
Failure responses
| Status | Meaning | Action |
|---|---|---|
401 | Missing, invalid, or expired bearer token | Re-authenticate |
404 | wabaId not linked to your organization | Verify the id |
400 | Template not editable (PENDING, or edit limit reached), or templateId unknown | Only APPROVED/REJECTED templates can be edited, max 10 edits/month |
502 | Graph unreachable or timed out | Retry with backoff |
Esta página foi útil?